% Die Funktion berechnet den Abstand zwischen  der Position des
% Lichtsrahls und der Flche. Ist der Abstand gleich Null, handelt
% es sich um einen Schnittpunkt.
% Die Funktion wird von der Intervallhalbierungsfunktion genutzt.

function n = nullfunktion(phi, r)
	format long;
	x = cos(phi)*r;
	y = sin(phi)*r;
	n = -cos(x*y^3)/sqrt(3+sin(x)*cos(y)) -1 + pi/4*r;
end